// FileUtilities.h : Declaration of the CFileUtilities

#ifndef __FILEUTILITIES_H_
#define __FILEUTILITIES_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CFileUtilities
class ATL_NO_VTABLE CFileUtilities : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CFileUtilities, &CLSID_FileUtilities>,
	public ISupportErrorInfo,
	public IDispatchImpl<IFileUtilities, &IID_IFileUtilities, &LIBID_SECURITYENHANCELib>
{
public:
	CFileUtilities()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_FILEUTILITIES)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CFileUtilities)
	COM_INTERFACE_ENTRY(IFileUtilities)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IFileUtilities
public:
	STDMETHOD(GetFileType)(/*[in]*/BSTR FileName,/*[out,retval]*/long *FileType);
};

#endif //__FILEUTILITIES_H_
